package com.example;

import javax.enterprise.event.Event;
import javax.inject.Inject;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

import io.smallrye.mutiny.Uni;

@Path("/event")
public class EventResource {
	@Inject
	Event<String> event;

	@GET
	@Produces(MediaType.TEXT_PLAIN)
	public Uni<String> event() {
		return Uni.createFrom().completionStage(
			this.event.fireAsync("Hello")
		);
	}
}
