package com.example;

import static org.assertj.core.api.Assertions.assertThat;

import java.time.Duration;

import org.junit.jupiter.api.Test;

class EventListenerTests {
	EventListener listener = new EventListener();

	@Test
	public void onEventReverses() {
		var text = this.listener.onEvent("Hello")
			.await().atMost(Duration.ofSeconds(5));

		assertThat(text)
			.isEqualTo("olleH");
	}
}